//
// Animation class
//
#ifndef AMBROSEANIMATION_H
#define AMBROSEANIMATION_H

class AmbroseScene;

class AmbroseAnimation
{
public:
    // CTor
    AmbroseAnimation();
    // DTor
    virtual ~AmbroseAnimation();
    // Animation target object id
    int mId; 
    // Frames of animation
    matrix4x4 *mFrame;
    // Pointer to the target object's matrix
    matrix4x4 *mTargetPtr;
    // Load animation controller from file
    int load(AmbroseScene *aScene, FILE *f);
};

#endif