//
// Mesh class
//
#ifndef AMBROSEMESH_H
#define AMBROSEMESH_H

class AmbroseScene;
class AmbroseMaterial;

class AmbroseMesh : public AmbroseObject
{
public:
    // Ctor
    AmbroseMesh();
    // Dtor
    virtual ~AmbroseMesh();
    // Pointer to material
    AmbroseMaterial *mMaterial;
    // Vertex buffer that contains the actual data for this mesh
    VertexBuffer mVB;
    // Load mesh from file
    int load(AmbroseScene *aScene, FILE *f);;
};

#endif