//
// Camera class
//
#ifndef AMBROSECAMERA_H
#define AMBROSECAMERA_H

class AmbroseScene;

class AmbroseCamera : public AmbroseObject
{
public:
    // CTor
    AmbroseCamera();
    // DTor
    virtual ~AmbroseCamera();
    // Camera far clip parameter
    float mFarClip;
    // Camera near clip parameter
    float mNearClip;
    // Camera lens (view angle)
    float mLens;
    // Load camera from file
    int load(AmbroseScene *aScene, FILE *f);
};

#endif