//
// Object class
//
#ifndef AMBROSEOBJECT_H
#define AMBROSEOBJECT_H

class AmbroseScene;

class AmbroseObject
{
public:
    // Ctor
    AmbroseObject();
    // Dtor
    virtual ~AmbroseObject();
    // ID of this object
    int mId;
    // Matrix of this object (position, rotation, scale)
    matrix4x4 mMatrix;
    // Name of this object
    char *mName;
    // Load object from file
    int load(AmbroseScene *aScene, FILE *f);
};

#endif