//
// Texture class
//
#ifndef AMBROSETEXTURE_H
#define AMBROSETEXTURE_H

class AmbroseScene;

class AmbroseTexture
{
public:
    // Ctor
    AmbroseTexture();
    // Dtor
    virtual ~AmbroseTexture();
    // ID of the texture
    int mId;
    // Name of the texture
    char *mName;
    // Filename of the texture if this is a image texture
    char *mFilename;
    // Type of the texture, 8 = image texture in blender
    int mType;
    // OpenGL texture handle
    GLuint mTextureHandle;
    // Load texture from file
    int load(AmbroseScene *aScene, FILE *f);
};

#endif