#include "Ambrose.h"

AmbroseTexture::AmbroseTexture()
{
    mId = 0;
    mType = 0;
    mName = NULL;
    mFilename = NULL;
    mTextureHandle = 0;
}

AmbroseTexture::~AmbroseTexture()
{
    glDeleteTextures(1, &mTextureHandle);
    delete[] mFilename;
    mFilename = NULL;
    delete[] mName;
    mName = NULL;
    mTextureHandle = 0;   
}

int AmbroseTexture::load(AmbroseScene *aScene, FILE *f)
{
    mName = readAsciizString(f);
    mType = readInt(f);
    if (mType == 8) // 8 = image texture
    {
        mFilename = readAsciizString(f);
        mTextureHandle = loadTexture(mFilename);
    }
    else
    {
        mTextureHandle = NULL;
    }
    return 1;
}
